import {
  reconciler_default
} from "./chunk-TO7OBY6Q.mjs";
import {
  File
} from "./chunk-YZ4M5FIM.mjs";
import {
  updateContext
} from "./chunk-QCSCUMAH.mjs";
import {
  dev
} from "./chunk-BBDMJ3VH.mjs";

// src/render.ts
import * as t from "@babel/types";
import generator from "@babel/generator";
import prettier from "prettier";
var generate = generator.default || generator;
function renderAst(element, options = {}, ast = t.file(t.program([]), [], [])) {
  updateContext({
    parserOptions: {
      ...options.parserOptions,
      plugins: [
        "classProperties",
        "jsx",
        "typescript",
        ...options.parserOptions?.plugins || []
      ]
    }
  });
  const file2 = new File();
  file2.node = ast;
  const root = reconciler_default.createContainer(
    file2,
    0,
    null,
    false,
    null,
    "react_ast_",
    (_err) => void 0,
    null
  );
  reconciler_default.updateContainer(element, root, null, () => void 0);
  reconciler_default.injectIntoDevTools({
    bundleType: Number(dev),
    rendererPackageName: "react-ast",
    version: "0.2"
  });
  return file2.node;
}
async function render(element, options = {}, ast = t.file(t.program([]), [], [])) {
  options = {
    prettier: true,
    ...options
  };
  const { code } = generate(
    renderAst(element, options, ast),
    options.generatorOptions || {}
  );
  if (options.prettier) {
    return prettier.format(code, {
      ...typeof options.prettier === "boolean" ? {} : options.prettier,
      plugins: [...options?.prettier?.plugins || []],
      parser: "babel-ts"
    });
  }
  return code;
}

export {
  renderAst,
  render
};
