"use strict";
function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes(arr) {
    if (Array.isArray(arr)) return _array_like_to_array(arr);
}
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _to_consumable_array(arr) {
    return _array_without_holes(arr) || _iterable_to_array(arr) || _unsupported_iterable_to_array(arr) || _non_iterable_spread();
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
function _ts_generator(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _interopRequireWildcard(obj) {
    if (obj && obj.__esModule) {
        return obj;
    } else {
        var newObj = {};
        if (obj != null) {
            for(var key in obj){
                if (Object.prototype.hasOwnProperty.call(obj, key)) {
                    newObj[key] = obj[key];
                }
            }
        }
        newObj.default = obj;
        return newObj;
    }
}
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _optionalChain(ops) {
    var lastAccessLHS = undefined;
    var value = ops[0];
    var i = 1;
    while(i < ops.length){
        var op = ops[i];
        var fn = ops[i + 1];
        i += 2;
        if ((op === "optionalAccess" || op === "optionalCall") && value == null) {
            return undefined;
        }
        if (op === "access" || op === "optionalAccess") {
            lastAccessLHS = value;
            value = fn(value);
        } else if (op === "call" || op === "optionalCall") {
            var _value;
            value = fn(function() {
                for(var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++){
                    args[_key] = arguments[_key];
                }
                return (_value = value).call.apply(_value, [
                    lastAccessLHS
                ].concat(_to_consumable_array(args)));
            });
            lastAccessLHS = undefined;
        }
    }
    return value;
}
var _chunkRY4X6BYDjs = require("./chunk-RY4X6BYD.js");
var _chunkWNLEI6E7js = require("./chunk-WNLEI6E7.js");
var _chunkODQLOJTWjs = require("./chunk-ODQLOJTW.js");
var _chunkJDRWAK54js = require("./chunk-JDRWAK54.js");
// src/render.ts
var _types = require("@babel/types");
var t = _interopRequireWildcard(_types);
var _generator = require("@babel/generator");
var _generator2 = _interopRequireDefault(_generator);
var _prettier = require("prettier");
var _prettier2 = _interopRequireDefault(_prettier);
var generate = _generator2.default.default || _generator2.default;
function renderAst(element) {
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, ast = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : t.file(t.program([]), [], []);
    _chunkODQLOJTWjs.updateContext.call(void 0, {
        parserOptions: _object_spread_props(_object_spread({}, options.parserOptions), {
            plugins: [
                "classProperties",
                "jsx",
                "typescript"
            ].concat(_to_consumable_array(_optionalChain([
                options,
                "access",
                function(_) {
                    return _.parserOptions;
                },
                "optionalAccess",
                function(_2) {
                    return _2.plugins;
                }
            ]) || []))
        })
    });
    var file2 = new (0, _chunkWNLEI6E7js.File)();
    file2.node = ast;
    var root = _chunkRY4X6BYDjs.reconciler_default.createContainer(file2, 0, null, false, null, "react_ast_", function(_err) {
        return void 0;
    }, null);
    _chunkRY4X6BYDjs.reconciler_default.updateContainer(element, root, null, function() {
        return void 0;
    });
    _chunkRY4X6BYDjs.reconciler_default.injectIntoDevTools({
        bundleType: Number(_chunkJDRWAK54js.dev),
        rendererPackageName: "react-ast",
        version: "0.2"
    });
    return file2.node;
}
function render(element) {
    return _render.apply(this, arguments);
}
function _render() {
    _render = _async_to_generator(function(element) {
        var options, ast, code;
        var _arguments = arguments;
        return _ts_generator(this, function(_state) {
            options = _arguments.length > 1 && _arguments[1] !== void 0 ? _arguments[1] : {}, ast = _arguments.length > 2 && _arguments[2] !== void 0 ? _arguments[2] : t.file(t.program([]), [], []);
            options = _object_spread({
                prettier: true
            }, options);
            code = generate(renderAst(element, options, ast), options.generatorOptions || {}).code;
            if (options.prettier) {
                return [
                    2,
                    _prettier2.default.format(code, _object_spread_props(_object_spread({}, typeof options.prettier === "boolean" ? {} : options.prettier), {
                        plugins: _to_consumable_array(_optionalChain([
                            options,
                            "optionalAccess",
                            function(_3) {
                                return _3.prettier;
                            },
                            "optionalAccess",
                            function(_4) {
                                return _4.plugins;
                            }
                        ]) || []),
                        parser: "babel-ts"
                    }))
                ];
            }
            return [
                2,
                code
            ];
        });
    });
    return _render.apply(this, arguments);
}
exports.renderAst = renderAst;
exports.render = render;
