"use strict";
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
} // src/util.ts
var _lodashget = require("lodash.get");
var _lodashget2 = _interopRequireDefault(_lodashget);
var g = typeof window === "undefined" ? global : window;
var process = typeof g.process === "undefined" ? {
    env: {}
} : g.process;
function flattenPath(path) {
    if (typeof path !== "number" && !path) return "";
    if (!Array.isArray(path)) return path.toString();
    return path.flat().filter(function(s) {
        return s.toString().length;
    }).join(".");
}
function deletePath(value, path) {
    if (typeof value === "undefined") return false;
    var pathArr = flattenPath(path).split(".");
    var key = pathArr.slice(pathArr.length - 1)[0];
    key = Number.isNaN(Number(key)) ? key : Number(key);
    var parentDeletePath = pathArr.slice(0, pathArr.length - 1).join(".");
    var parent = parentDeletePath ? _lodashget2.default.call(void 0, value, parentDeletePath) : value;
    if (typeof parent === "undefined") return false;
    if (Array.isArray(parent) && typeof key === "number") {
        var result2 = parent.length > key;
        parent.splice(key, 1);
        return result2;
    }
    var result = key in parent;
    delete parent[key];
    return result;
}
function isDev() {
    if (typeof process.env.NODE_ENV === "undefined") {
        return typeof process.env.__DEV__ === "undefined" ? false : process.env.__DEV__.toLowerCase() !== "false";
    }
    return process.env.NODE_ENV.toLowerCase() !== "prod" && process.env.NODE_ENV.toLowerCase() !== "production";
}
var dev = isDev();
var logger = _object_spread_props(_object_spread({}, console), {
    debug: dev ? console.debug : function() {
        for(var _len = arguments.length, _args = new Array(_len), _key = 0; _key < _len; _key++){
            _args[_key] = arguments[_key];
        }
        return void 0;
    }
});
function debugRef() {
    var debug = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : true;
    if (!debug) return function() {
        return void 0;
    };
    return function(ref) {
        return logger.debug(JSON.stringify(ref.node, null, 2));
    };
}
exports.flattenPath = flattenPath;
exports.deletePath = deletePath;
exports.dev = dev;
exports.logger = logger;
exports.debugRef = debugRef;
