import {
  BaseElement
} from "./chunk-F5OTY3X7.mjs";
import {
  deletePath,
  flattenPath
} from "./chunk-BBDMJ3VH.mjs";

// src/elements/SmartElement.ts
import _get from "lodash.get";
import _merge from "lodash.merge";
import template from "@babel/template";
var SmartElement = class extends BaseElement {
  constructor(props, parserOptions = {}) {
    const baseNode = template.smart(
      props.code,
      _merge(parserOptions, props.options)
    )(props.replacements);
    const scopePath = flattenPath(props.scopePath);
    const node = props.scopePath && scopePath.length ? _get(baseNode, scopePath) : baseNode;
    const deletePaths = Array.isArray(props.deletePaths || []) ? props.deletePaths || [] : [props.deletePaths];
    deletePaths.forEach((path) => deletePath(node, path));
    super(node, props, {
      bodyPath: props.bodyPath || "body",
      parentBodyPath: props.parentBodyPath
    });
  }
};
SmartElement.defaultProps = {
  bodyPath: "body",
  children: null,
  deletePaths: [],
  options: {},
  ref: (f) => f,
  replacements: {},
  scopePath: ""
};

export {
  SmartElement
};
