"use strict";
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var _chunkJDRWAK54js = require("./chunk-JDRWAK54.js");
// src/elements/BaseElement.ts
var _proptypes = require("prop-types");
var _proptypes2 = _interopRequireDefault(_proptypes);
var _lodashget = require("lodash.get");
var _lodashget2 = _interopRequireDefault(_lodashget);
var _lodashset = require("lodash.set");
var _lodashset2 = _interopRequireDefault(_lodashset);
var BaseElement = /*#__PURE__*/ function() {
    function BaseElement(baseNode) {
        var props = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, meta = arguments.length > 2 ? arguments[2] : void 0;
        _class_call_check(this, BaseElement);
        this.children = [];
        this.meta = {
            bodyPath: "body",
            parentBodyPath: null
        };
        if (Array.isArray(baseNode)) throw new Error("cannot be array");
        if (meta) {
            this.meta = _object_spread({}, this.meta, meta);
        }
        this.node = baseNode;
        this.props = this.getProps(props);
    }
    _create_class(BaseElement, [
        {
            key: "getBodyPath",
            value: function getBodyPath(path) {
                return _chunkJDRWAK54js.flattenPath.call(void 0, path || this.meta.bodyPath);
            }
        },
        {
            key: "getBody",
            value: function getBody(body, path) {
                var bodyPath = this.getBodyPath(path);
                if (!bodyPath.length) return body;
                return _lodashget2.default.call(void 0, body, bodyPath);
            }
        },
        {
            key: "setBody",
            value: function setBody(body, value, path) {
                var bodyPath = this.getBodyPath(path);
                if (!bodyPath.length) return body;
                return _lodashset2.default.call(void 0, body, bodyPath, value);
            }
        },
        {
            key: "appendChild",
            value: function appendChild(child) {
                var body = this.getBody(this.node, child.meta.parentBodyPath);
                this.children.push(child);
                if (Array.isArray(body)) {
                    body.push(child.node);
                } else {
                    this.setBody(this.node, child.node, child.meta.parentBodyPath);
                }
            }
        },
        {
            key: "removeChild",
            value: function removeChild(child) {
                var body = this.getBody(this.node, child.meta.parentBodyPath);
                if (!body || !Array.isArray(body)) return;
                this.children.splice(this.children.indexOf(child), 1);
                body.splice(body.indexOf(child.node), 1);
            }
        },
        {
            key: "commitMount",
            value: function commitMount() {
                return void 0;
            }
        },
        {
            key: "commitUpdate",
            value: function commitUpdate(newProps) {
                this.props = _object_spread({}, this.props, newProps);
            }
        },
        {
            key: "getProps",
            value: function getProps(props) {
                props = _object_spread({}, props);
                var _this_constructor = this.constructor, defaultProps = _this_constructor.defaultProps, propTypes = _this_constructor.propTypes;
                Object.keys(defaultProps).forEach(function(key) {
                    var defaultProp = defaultProps[key];
                    if (typeof props[key] === "undefined" || props[key] === null) {
                        props[key] = defaultProp;
                    }
                });
                _proptypes2.default.checkPropTypes(propTypes, props, "prop", this.constructor.name);
                return props;
            }
        }
    ]);
    return BaseElement;
}();
BaseElement.defaultProps = {};
BaseElement.propTypes = {};
exports.BaseElement = BaseElement;
