"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var _chunkRNCBJNCYjs = require("./chunk-RNCBJNCY.js");
var _chunkB6Y2WM4Djs = require("./chunk-B6Y2WM4D.js");
var _chunkJDRWAK54js = require("./chunk-JDRWAK54.js");
// src/reconciler.ts
var _reactreconciler = require("react-reconciler");
var _reactreconciler2 = _interopRequireDefault(_reactreconciler);
var _constantsjs = require("react-reconciler/constants.js");
var reconciler_default = _reactreconciler2.default.call(void 0, {
    noTimeout: -1,
    isPrimaryRenderer: true,
    supportsMutation: true,
    supportsPersistence: false,
    supportsHydration: false,
    createInstance: function createInstance(type, props, _rootContainerInstance, _hostContext) {
        _chunkJDRWAK54js.logger.debug("createInstance");
        return _chunkRNCBJNCYjs.createElement.call(void 0, type, props);
    },
    appendInitialChild: function appendInitialChild(parentInstance, child) {
        _chunkJDRWAK54js.logger.debug("appendInitialChild");
        parentInstance.appendChild(child);
    },
    finalizeInitialChildren: function finalizeInitialChildren(_parentInstance, _type, _props, _rootContainerInstance, _hostContext) {
        _chunkJDRWAK54js.logger.debug("finalizeInitialChildren");
        return true;
    },
    createTextInstance: function createTextInstance(text, _rootContainerInstance, _hostContext) {
        _chunkJDRWAK54js.logger.debug("createTextInstance");
        var label = new (0, _chunkB6Y2WM4Djs.SmartElement)({
            code: text
        }, {});
        label.commitMount();
        return label;
    },
    getPublicInstance: function getPublicInstance(instance) {
        _chunkJDRWAK54js.logger.debug("getPublicInstance");
        return instance;
    },
    prepareForCommit: function prepareForCommit(_containerInfo) {
        _chunkJDRWAK54js.logger.debug("prepareForCommit");
        return null;
    },
    prepareUpdate: function prepareUpdate(_instance, _type, _oldProps, _newProps, _rootContainerInstance, _hostContext) {
        _chunkJDRWAK54js.logger.debug("prepareUpdate");
        return true;
    },
    resetAfterCommit: function resetAfterCommit(_containerInfo) {
        _chunkJDRWAK54js.logger.debug("resetAfterCommit");
    },
    resetTextContent: function resetTextContent(_instance) {
        _chunkJDRWAK54js.logger.debug("resetTextContent");
    },
    commitTextUpdate: function commitTextUpdate(_textInstance, _oldText, _newText) {
        _chunkJDRWAK54js.logger.debug("commitTextUpdate");
        throw new Error("commitTextUpdate should not be called");
    },
    removeChild: function removeChild(parentInstance, child) {
        _chunkJDRWAK54js.logger.debug("removeChild");
        parentInstance.removeChild(child);
    },
    removeChildFromContainer: function removeChildFromContainer(_container, _child) {
        _chunkJDRWAK54js.logger.debug("removeChildFromContainer");
        if (_chunkJDRWAK54js.dev) _chunkJDRWAK54js.logger.warn("'removeChildFromContainer' not supported");
    },
    insertBefore: function insertBefore(_parentInstance, _child, _beforeChild) {
        _chunkJDRWAK54js.logger.debug("insertBefore");
        if (_chunkJDRWAK54js.dev) _chunkJDRWAK54js.logger.warn("'insertBefore' not supported");
    },
    appendChildToContainer: function appendChildToContainer(container, child) {
        _chunkJDRWAK54js.logger.debug("appendChildToContainer");
        container.appendChild(child);
    },
    appendChild: function appendChild(parentInstance, child) {
        _chunkJDRWAK54js.logger.debug("appendChild");
        parentInstance.appendChild(child);
    },
    shouldSetTextContent: function shouldSetTextContent(_type, props) {
        _chunkJDRWAK54js.logger.debug("shouldSetTextContent");
        if (typeof props.children === "string") return true;
        return false;
    },
    getRootHostContext: function getRootHostContext(_rootContainerInstance) {
        _chunkJDRWAK54js.logger.debug("getRootHostContext");
        if (_chunkJDRWAK54js.dev) _chunkJDRWAK54js.logger.warn("'getRootHostContext' not supported");
        return {};
    },
    getChildHostContext: function getChildHostContext(_parentHostContext, _type, _rootContainerInstance) {
        _chunkJDRWAK54js.logger.debug("getChildHostContext");
        if (_chunkJDRWAK54js.dev) _chunkJDRWAK54js.logger.warn("'getChildHostContext' not supported");
        return {};
    },
    commitUpdate: function commitUpdate(instance, _updatePayload, _type, _oldProps, newProps) {
        _chunkJDRWAK54js.logger.debug("commitUpdate");
        return instance.commitUpdate(newProps);
    },
    commitMount: function commitMount(instance, _type, _newProps) {
        _chunkJDRWAK54js.logger.debug("commitMount");
        instance.commitMount();
    },
    scheduleTimeout: function scheduleTimeout(handler, timeout) {
        _chunkJDRWAK54js.logger.debug("scheduleTimeout");
        return setTimeout(handler, timeout);
    },
    cancelTimeout: function cancelTimeout(handle) {
        _chunkJDRWAK54js.logger.debug("clearTimeout");
        return clearTimeout(handle);
    },
    preparePortalMount: function preparePortalMount() {
        _chunkJDRWAK54js.logger.debug("preparePortalMount");
    },
    scheduleMicrotask: function scheduleMicrotask(callback) {
        queueMicrotask(callback);
    },
    clearContainer: function clearContainer(_container) {
        _chunkJDRWAK54js.logger.debug("clearContainer");
    },
    getCurrentEventPriority: function getCurrentEventPriority() {
        return _constantsjs.DefaultEventPriority;
    },
    getInstanceFromNode: function getInstanceFromNode(_node) {
        _chunkJDRWAK54js.logger.debug("getInstanceFromNode");
        return null;
    },
    getInstanceFromScope: function getInstanceFromScope(scopeInstance) {
        _chunkJDRWAK54js.logger.debug("getInstanceFromScope");
        if (scopeInstance.node) {
            return scopeInstance;
        }
        return null;
    },
    beforeActiveInstanceBlur: function beforeActiveInstanceBlur() {
        _chunkJDRWAK54js.logger.debug("beforeActiveInstanceBlur");
    },
    afterActiveInstanceBlur: function afterActiveInstanceBlur() {
        _chunkJDRWAK54js.logger.debug("afterActiveInstanceBlur");
    },
    prepareScopeUpdate: function prepareScopeUpdate(_scopeInstance, _instance) {
        _chunkJDRWAK54js.logger.debug("prepareScopeUpdate");
    },
    detachDeletedInstance: function detachDeletedInstance(_node) {
        _chunkJDRWAK54js.logger.debug("detachDeletedInstance");
    }
});
exports.reconciler_default = reconciler_default;
