import {
  Identifier_default,
  TypeAnnotation_default,
  TypeParameterInstantiation_default,
  TypeReference_default
} from "../../chunk-46FLVA3G.mjs";
import "../../chunk-GLDVX3MD.mjs";
import "../../chunk-SBY46IGC.mjs";
import "../../chunk-U3PXES67.mjs";
import {
  render,
  renderAst
} from "../../chunk-7KBPBLKV.mjs";
import "../../chunk-TO7OBY6Q.mjs";
import "../../chunk-3QLF7IWK.mjs";
import "../../chunk-AMII3PHO.mjs";
import "../../chunk-OOWEXA44.mjs";
import "../../chunk-ZXXMYMGZ.mjs";
import "../../chunk-NQZS4VCS.mjs";
import "../../chunk-YZ4M5FIM.mjs";
import "../../chunk-BWVOPACC.mjs";
import "../../chunk-F5OTY3X7.mjs";
import "../../chunk-QCSCUMAH.mjs";
import "../../chunk-WBQAMGXK.mjs";
import "../../chunk-BBDMJ3VH.mjs";

// src/components/Identifier/index.spec.tsx
import React from "react";
describe("<Identifier />", () => {
  it("renders", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Identifier_default, null, "i"), {
      prettier: false
    });
    expect(code).toBe("i");
  });
  it("renders with nested type annotation", async () => {
    const code = renderAst(
      /* @__PURE__ */ React.createElement(
        Identifier_default,
        {
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, /* @__PURE__ */ React.createElement(TypeReference_default, { name: "T" }, /* @__PURE__ */ React.createElement(TypeParameterInstantiation_default, null, /* @__PURE__ */ React.createElement(TypeReference_default, { name: "A" }), /* @__PURE__ */ React.createElement(TypeReference_default, { name: "B" })))),
          debug: true
        },
        "i"
      ),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toMatchObject({
      program: {
        body: [
          {
            name: "i",
            type: "Identifier",
            typeAnnotation: {
              type: "TSTypeAnnotation",
              typeAnnotation: {
                type: "TSTypeReference",
                typeName: {
                  name: "T",
                  type: "Identifier"
                },
                typeParameters: {
                  params: [
                    {
                      type: "TSTypeReference",
                      typeName: {
                        name: "A",
                        type: "Identifier"
                      }
                    },
                    {
                      type: "TSTypeReference",
                      typeName: {
                        name: "B",
                        type: "Identifier"
                      }
                    }
                  ]
                }
              }
            }
          }
        ]
      }
    });
  });
  it("renders with nested type annotation as string", async () => {
    const code = renderAst(
      /* @__PURE__ */ React.createElement(Identifier_default, { typeAnnotation: "T<A, B, C>" }, "i"),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toMatchObject({
      program: {
        body: [
          {
            name: "i",
            type: "Identifier",
            typeAnnotation: {
              type: "TSTypeAnnotation",
              typeAnnotation: {
                type: "TSTypeReference",
                typeName: {
                  name: "T",
                  type: "Identifier"
                },
                typeParameters: {
                  params: [
                    {
                      type: "TSTypeReference",
                      typeName: {
                        name: "A",
                        type: "Identifier"
                      }
                    },
                    {
                      type: "TSTypeReference",
                      typeName: {
                        name: "B",
                        type: "Identifier"
                      }
                    },
                    {
                      type: "TSTypeReference",
                      typeName: {
                        name: "C",
                        type: "Identifier"
                      }
                    }
                  ]
                }
              }
            }
          }
        ]
      }
    });
  });
});
