import React__default, { ReactNode } from 'react';
import { B as BaseElement } from '../../../BaseElement-8H6x0-9W.js';
import { ClassDeclarationProps } from '../ClassDeclaration/index.js';
import '@babel/parser';
import '@babel/types';
import '@babel/generator';
import 'prettier';
import '@babel/template';

/**
 * File: /src/components/classes/Class/index.tsx
 * Project: react-ast
 * File Created: 28-11-2023 02:58:22
 * Author: Clay Risser
 * -----
 * BitSpur (c) Copyright 2019 - 2023
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

interface ClassProps extends Omit<ClassDeclarationProps, "superClass" | "superTypeParameters" | "name"> {
    extends?: ReactNode;
    extendsTypeParameters?: ReactNode;
    name: string;
}
declare const Class: React__default.ForwardRefExoticComponent<ClassProps & React__default.RefAttributes<BaseElement>>;

export { type ClassProps, Class as default };
