import {
  EnumDeclaration_default,
  EnumMember_default,
  NumericLiteral_default,
  StringLiteral_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/enum/EnumDeclaration/index.spec.tsx
import React from "react";
describe("<EnumDeclaration />", () => {
  it("renders", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(EnumDeclaration_default, { name: "Hello" }), {
      prettier: false,
      parserOptions: {
        plugins: ["jsx", "classProperties", "typescript"]
      }
    });
    expect(code).toBe("enum Hello {}");
  });
  it("renders with enum declaration", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(EnumDeclaration_default, { name: "Hello" }, /* @__PURE__ */ React.createElement(EnumMember_default, { name: "hello" }, /* @__PURE__ */ React.createElement(StringLiteral_default, null, "world")), /* @__PURE__ */ React.createElement(EnumMember_default, { name: "One" }, /* @__PURE__ */ React.createElement(NumericLiteral_default, null, 1))),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe(`enum Hello {
  hello = "world",
  One = 1,
}`);
  });
});
