import {
  ArrowFunctionExpression_default,
  AssignmentExpression_default,
  Identifier_default,
  MemberExpression_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/expressions/AssignmentExpression/index.spec.tsx
import React from "react";
describe("<AssignmentExpression />", () => {
  it("renders with no children", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }), {
      prettier: false
    });
    expect(code).toBe("v = undefined");
  });
  it("renders with left as component", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        AssignmentExpression_default,
        {
          left: /* @__PURE__ */ React.createElement(MemberExpression_default, { name: "howdy", debug: true }, /* @__PURE__ */ React.createElement(MemberExpression_default, { name: "world" }, /* @__PURE__ */ React.createElement(Identifier_default, null, "hello"))),
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("hello.world.howdy = undefined");
  });
  it("renders with initial value as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }, "hello"),
      {
        prettier: false
      }
    );
    expect(code).toBe('v = "hello"');
  });
  it("renders with initial value as boolean", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }, true),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("v = true");
  });
  it("renders with initial value as number", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }, 0),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("v = 0");
  });
  it("renders with initial value as object", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }, { hello: "world" }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe(`v = {
  "hello": "world"
}`);
  });
  it("renders with initial value as component", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(AssignmentExpression_default, { left: "v", debug: true }, /* @__PURE__ */ React.createElement(ArrowFunctionExpression_default, null)),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("v = () => {}");
  });
});
