import {
  AwaitExpression_default,
  CallExpression_default,
  FunctionDeclaration_default,
  Identifier_default,
  VariableDeclaration_default,
  VariableDeclarator_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/expressions/AwaitExpression/index.spec.tsx
import React from "react";
describe("FunctionDeclaration with Await and Call Expressions", () => {
  it("renders a function declaration with an await expression and a call expression", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(FunctionDeclaration_default, { async: true, name: "getData", params: ["url"] }, /* @__PURE__ */ React.createElement(VariableDeclaration_default, { kind: "const" /* Const */ }, /* @__PURE__ */ React.createElement(VariableDeclarator_default, { name: "result" }, /* @__PURE__ */ React.createElement(AwaitExpression_default, null, /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "fetch",
          arguments: /* @__PURE__ */ React.createElement(Identifier_default, null, "url")
        }
      ))))),
      {
        prettier: false
      }
    );
    expect(code).toBe(`async function getData(url) {
  const result = await fetch(url);
}`);
  });
  it("renders a function declaration with an await expression and a call expression with multiple arguments", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(FunctionDeclaration_default, { async: true, name: "getData", params: ["url"] }, /* @__PURE__ */ React.createElement(VariableDeclaration_default, { kind: "const" /* Const */ }, /* @__PURE__ */ React.createElement(VariableDeclarator_default, { name: "result" }, /* @__PURE__ */ React.createElement(AwaitExpression_default, null, /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "fetch",
          arguments: [
            /* @__PURE__ */ React.createElement(Identifier_default, { key: "0" }, "url"),
            /* @__PURE__ */ React.createElement(Identifier_default, { key: "1" }, "options")
          ]
        }
      ))))),
      {
        prettier: false
      }
    );
    expect(code).toBe(`async function getData(url) {
  const result = await fetch(url, options);
}`);
  });
});
