import {
  ArrowFunctionExpression_default,
  CallExpression_default,
  Identifier_default,
  MemberExpression_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/expressions/CallExpression/index.spec.tsx
import React from "react";
describe("<CallExpression />", () => {
  it("renders call expression", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(CallExpression_default, { name: "hello", debug: true }), {
      prettier: false
    });
    expect(code).toBe("hello()");
  });
  it("renders call expression with children", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(CallExpression_default, { name: "world", debug: true }, /* @__PURE__ */ React.createElement(MemberExpression_default, { name: "hello" }, /* @__PURE__ */ React.createElement(Identifier_default, null, "howdy"))),
      {
        prettier: false
      }
    );
    expect(code).toBe("howdy.hello.world()");
  });
  it("renders call expression with argument", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "hello",
          arguments: /* @__PURE__ */ React.createElement(Identifier_default, null, "a"),
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("hello(a)");
  });
  it("renders call expression with arguments", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "hello",
          arguments: [
            /* @__PURE__ */ React.createElement(Identifier_default, { key: "a" }, "a"),
            /* @__PURE__ */ React.createElement(ArrowFunctionExpression_default, { key: "arrow" })
          ],
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("hello(a, () => {})");
  });
  it("renders call expression with argument as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(CallExpression_default, { name: "hello", arguments: "a", debug: true }),
      {
        prettier: false
      }
    );
    expect(code).toBe("hello(a)");
  });
  it("renders call expression with arguments as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(CallExpression_default, { name: "hello", arguments: ["a", "b", "c"], debug: true }),
      {
        prettier: false
      }
    );
    expect(code).toBe("hello(a, b, c)");
  });
});
