import {
  ArrowFunctionExpression_default,
  Identifier_default,
  JsxAttribute_default,
  JsxOpeningElement_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/jsx/JsxOpeningElement/index.spec.tsx
import React from "react";
describe("<JsxOpeningElement />", () => {
  it("renders", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(JsxOpeningElement_default, { name: "Hello", debug: true }), {
      prettier: false,
      parserOptions: {
        plugins: ["jsx", "classProperties", "typescript"]
      }
    });
    expect(code).toBe("<Hello>");
  });
  it("renders self closing", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(JsxOpeningElement_default, { name: "Hello", selfClosing: true, debug: true }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("<Hello />");
  });
  it("renders with attribute", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        JsxOpeningElement_default,
        {
          name: "Hello",
          attributes: /* @__PURE__ */ React.createElement(JsxAttribute_default, { name: "a" }, "a"),
          debug: true
        }
      ),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe('<Hello a="a">');
  });
  it("renders with attribute as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(JsxOpeningElement_default, { name: "Hello", attributes: "a", debug: true }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("<Hello a>");
  });
  it("renders with attributes as array", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        JsxOpeningElement_default,
        {
          name: "Hello",
          attributes: [
            /* @__PURE__ */ React.createElement(JsxAttribute_default, { key: 0, name: "a" }, "a"),
            /* @__PURE__ */ React.createElement(JsxAttribute_default, { key: 1, name: "b" }, /* @__PURE__ */ React.createElement(Identifier_default, null, "b"))
          ],
          debug: true
        }
      ),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe('<Hello a="a" b={b}>');
  });
  it("renders with attributes as string array", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(JsxOpeningElement_default, { name: "Hello", attributes: ["a", "b", "c"], debug: true }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("<Hello a b c>");
  });
  it("renders with attributes as object", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        JsxOpeningElement_default,
        {
          name: "Hello",
          attributes: {
            a: "a",
            b: /* @__PURE__ */ React.createElement(Identifier_default, null, "b"),
            c: /* @__PURE__ */ React.createElement(ArrowFunctionExpression_default, null),
            d: true
          },
          debug: true
        }
      ),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe('<Hello a="a" b={b} c={() => {}} d>');
  });
});
