import {
  Literal_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/literals/Literal/index.spec.tsx
import React from "react";
describe("<Literal />", () => {
  it("renders literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, 1), {
      prettier: false
    });
    expect(code).toBe("1");
  });
  it("renders string literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, "Hello"), {
      prettier: false
    });
    expect(code).toBe('"Hello"');
  });
  it("renders boolean literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, true), {
      prettier: false
    });
    expect(code).toBe("true");
  });
  it("renders null literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, null), {
      prettier: false
    });
    expect(code).toBe("null");
  });
  it("renders undefined literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, ["hello", 2, 4, true]), {
      prettier: false
    });
    expect(code).toBe('["hello", 2, 4, true]');
  });
  it("renders object literal", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Literal_default, null, { a: 1, b: 2, c: true, d: "Hello World" }),
      {
        prettier: false
      }
    );
    expect(code).toBe(`{
  "a": 1,
  "b": 2,
  "c": true,
  "d": "Hello World"
}`);
  });
  it("renders bigint literal", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Literal_default, null, BigInt(9007199254740991)), {
      prettier: false
    });
    expect(code).toBe("9007199254740991n");
  });
});
