import {
  CallExpression_default,
  ObjectLiteral_default,
  Var_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/literals/ObjectLiteral/index.spec.tsx
import React from "react";
describe("<ObjectLiteral />", () => {
  it("renders object", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(ObjectLiteral_default, { debug: true }, JSON.stringify({ a: 1 })),
      { prettier: false }
    );
    expect(code).toBe('{\n  "a": 1\n}');
  });
  it("renders object in call expression", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "test",
          debug: true,
          arguments: [
            /* @__PURE__ */ React.createElement(ObjectLiteral_default, { key: "a" }, JSON.stringify({ a: 1 }))
          ]
        }
      ),
      { prettier: false }
    );
    expect(code).toBe('test({\n  "a": 1\n})');
  });
  it("renders object in variable", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Var_default, { name: "test" }, /* @__PURE__ */ React.createElement(ObjectLiteral_default, null, JSON.stringify({ a: 1 }))),
      { prettier: false }
    );
    expect(code).toBe('var test = {\n  "a": 1\n};');
  });
});
