import {
  CallExpression_default,
  StringLiteral_default,
  Var_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/literals/StringLiteral/index.spec.tsx
import React from "react";
describe("<StringLiteral />", () => {
  it("renders string", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(StringLiteral_default, { debug: true }, "HI"), {
      prettier: false
    });
    expect(code).toBe('"HI"');
  });
  it("renders string inside function argument", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        CallExpression_default,
        {
          name: "fn",
          arguments: /* @__PURE__ */ React.createElement(StringLiteral_default, null, "Hi")
        }
      ),
      { prettier: false }
    );
    expect(code).toBe('fn("Hi")');
  });
  it("renders code as a string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Var_default, { name: "a" }, /* @__PURE__ */ React.createElement(StringLiteral_default, null, "a")),
      {
        prettier: false
      }
    );
    expect(code).toBe('var a = "a";');
  });
});
