import React__default, { ReactNode } from 'react';
import { B as BaseElement } from '../../../BaseElement-8H6x0-9W.mjs';
import { ImportDeclarationProps } from '../ImportDeclaration/index.mjs';
import '@babel/parser';
import '@babel/types';
import '@babel/generator';
import 'prettier';
import '@babel/template';

/**
 * File: /src/components/modules/Import/index.tsx
 * Project: react-ast
 * File Created: 28-11-2023 15:05:44
 * Author: Lalit rajak
 * -----
 * BitSpur (c) Copyright 2019 - 2023
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

interface ImportProps extends Omit<ImportDeclarationProps, "defaultSpecifier" | "source" | "specifiers" | "namespaceSpecifier"> {
    default?: string;
    from?: string;
    imports?: ReactNode;
    namespace?: string;
}
declare const Import: React__default.ForwardRefExoticComponent<ImportProps & React__default.RefAttributes<BaseElement>>;

export { type ImportProps, Import as default };
