import {
  ImportSpecifier_default,
  Import_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/modules/Import/index.spec.tsx
import React from "react";
describe("<Import />", () => {
  it("renders with default specifier", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Import_default, { default: "hello", from: "world", debug: true }), {
      prettier: false
    });
    expect(code).toBe("import hello from 'world';");
  });
  it("renders with namespace specifier", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Import_default, { namespace: "hello", from: "world", debug: true }), {
      prettier: false
    });
    expect(code).toBe("import * as hello from 'world';");
  });
  it("renders with namespace specifier override", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        Import_default,
        {
          namespace: "hello",
          default: "hello",
          imports: "hello",
          from: "world",
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("import * as hello from 'world';");
  });
  it("renders with specifier", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Import_default, { imports: "hello", from: "world", debug: true }), {
      prettier: false
    });
    expect(code).toBe("import { hello } from 'world';");
  });
  it("renders with imports", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        Import_default,
        {
          imports: [
            /* @__PURE__ */ React.createElement(ImportSpecifier_default, { key: "hello" }, "hello"),
            /* @__PURE__ */ React.createElement(ImportSpecifier_default, { key: "howdy" }, "howdy")
          ],
          from: "world",
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("import { hello, howdy } from 'world';");
  });
  it("renders with imports as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Import_default, { imports: ["hello", "howdy"], from: "world", debug: true }),
      {
        prettier: false
      }
    );
    expect(code).toBe("import { hello, howdy } from 'world';");
  });
  it("renders with imports and default specifier", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        Import_default,
        {
          default: "hello",
          imports: [/* @__PURE__ */ React.createElement(ImportSpecifier_default, { key: "howdy" }, "howdy")],
          from: "world",
          debug: true
        }
      ),
      {
        prettier: false
      }
    );
    expect(code).toBe("import hello, { howdy } from 'world';");
  });
});
