import React__default, { ReactNode } from 'react';
import { B as BaseElement } from '../../../BaseElement-8H6x0-9W.mjs';
import '@babel/parser';
import '@babel/types';
import '@babel/generator';
import 'prettier';
import '@babel/template';

/**
 * File: /src/components/modules/ModuleDeclaration/index.tsx
 * Project: react-ast
 * File Created: 18-12-2023 14:31:31
 * Author: dharmendra
 * -----
 * BitSpur (c) Copyright 2019 - 2023
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

declare enum DeclarationType {
    Declare = "declare",
    Namespace = "namespace"
}
interface ModuleDeclarationProps {
    children?: ReactNode;
    debug?: boolean;
    name: string;
    declaration: DeclarationType;
}
declare const ModuleDeclaration: React__default.ForwardRefExoticComponent<ModuleDeclarationProps & React__default.RefAttributes<BaseElement>>;

export { DeclarationType, type ModuleDeclarationProps, ModuleDeclaration as default };
