import {
  InterfaceDeclaration_default,
  ModuleDeclaration_default,
  PropertySignature_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/modules/ModuleDeclaration/index.spec.tsx
import React from "react";
describe("<ModuleDeclaration />", () => {
  it("render moduleDeclaration", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(ModuleDeclaration_default, { declaration: "declare" /* Declare */, name: "global" }, /* @__PURE__ */ React.createElement(ModuleDeclaration_default, { declaration: "namespace" /* Namespace */, name: "jsx" }, /* @__PURE__ */ React.createElement(InterfaceDeclaration_default, { name: "IntrinsicElements" }, /* @__PURE__ */ React.createElement(PropertySignature_default, { name: "Box", typeAnnotation: "BoxProps" })))),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe(
      `declare global {
  namespace jsx {
    interface IntrinsicElements {
      Box: BoxProps;
    }
  }
}`
    );
  });
  it("render moduleDeclaration without children", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(ModuleDeclaration_default, { declaration: "declare" /* Declare */, name: "global" }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe(`declare global {}`);
  });
});
