import {
  BlockStatement_default,
  Identifier_default,
  PropertySignature_default,
  TypeAliasDeclaration_default,
  TypeAnnotation_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/types/TypeAliasDeclaration/index.spec.tsx
import React from "react";
describe("<TypeAliasDeclaration />", () => {
  it("renders correctly", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(TypeAliasDeclaration_default, { name: "Box" }), {
      prettier: false,
      parserOptions: {
        plugins: ["jsx", "typescript"]
      }
    });
    expect(code).toBe("type Box = {};");
  });
  it("renders with children", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(TypeAliasDeclaration_default, { name: "Box" }, /* @__PURE__ */ React.createElement(BlockStatement_default, null, /* @__PURE__ */ React.createElement(
        PropertySignature_default,
        {
          key: 0,
          name: "hello",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "string")
        }
      ), /* @__PURE__ */ React.createElement(
        PropertySignature_default,
        {
          key: 1,
          name: "hi",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "string")
        }
      ))),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "typescript"]
        }
      }
    );
    console.log(code);
    expect(code).toBe(`type Box = {
  hello: string;
  hi: string;
};`);
  });
  it("renders type for single line", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(TypeAliasDeclaration_default, { name: "Box" }, /* @__PURE__ */ React.createElement(Identifier_default, null, "string")),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "typescript"]
        }
      }
    );
    expect(code).toBe(`type Box = string;`);
  });
});
