import {
  ArrowFunctionExpression_default,
  TypeAnnotation_default,
  VarKind,
  Var_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/variables/Var/index.spec.tsx
import React from "react";
describe("<Var />", () => {
  it("renders", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Var_default, { name: "v", debug: true }), {
      prettier: false
    });
    expect(code).toBe("var v;");
  });
  it("renders as kind var", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Var_default, { kind: VarKind.Var, name: "v", typeAnnotation: "T", debug: true }),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("var v: T;");
  });
  it("renders as kind const", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(
        Var_default,
        {
          kind: VarKind.Const,
          name: "c",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T"),
          debug: true
        }
      ),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("const c: T;");
  });
  it("renders as kind let", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(Var_default, { kind: VarKind.Let, name: "l", debug: true }), {
      prettier: false,
      parserOptions: {
        plugins: ["jsx", "classProperties", "typescript"]
      }
    });
    expect(code).toBe("let l;");
  });
  it("renders with children", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Var_default, { name: "v", typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T"), debug: true }, /* @__PURE__ */ React.createElement(ArrowFunctionExpression_default, null)),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("var v: T = () => {};");
  });
  it("renders with children as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(Var_default, { name: "v", typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T"), debug: true }, "hello"),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe('var v: T = "hello";');
  });
});
