import {
  ArrowFunctionExpression_default,
  TypeAnnotation_default,
  VariableDeclaration_default,
  VariableDeclarator_default
} from "../../../chunk-46FLVA3G.mjs";
import "../../../chunk-GLDVX3MD.mjs";
import "../../../chunk-SBY46IGC.mjs";
import "../../../chunk-U3PXES67.mjs";
import {
  render
} from "../../../chunk-7KBPBLKV.mjs";
import "../../../chunk-TO7OBY6Q.mjs";
import "../../../chunk-3QLF7IWK.mjs";
import "../../../chunk-AMII3PHO.mjs";
import "../../../chunk-OOWEXA44.mjs";
import "../../../chunk-ZXXMYMGZ.mjs";
import "../../../chunk-NQZS4VCS.mjs";
import "../../../chunk-YZ4M5FIM.mjs";
import "../../../chunk-BWVOPACC.mjs";
import "../../../chunk-F5OTY3X7.mjs";
import "../../../chunk-QCSCUMAH.mjs";
import "../../../chunk-WBQAMGXK.mjs";
import "../../../chunk-BBDMJ3VH.mjs";

// src/components/variables/VariableDeclaration/index.spec.tsx
import React from "react";
describe("<VariableDeclaration />", () => {
  it("renders", async () => {
    const code = await render(/* @__PURE__ */ React.createElement(VariableDeclaration_default, { debug: true }), {
      prettier: false
    });
    expect(code).toBe("var ;");
  });
  it("renders as kind var", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(VariableDeclaration_default, { kind: "var" /* Var */, debug: true }, /* @__PURE__ */ React.createElement(VariableDeclarator_default, { name: "v", typeAnnotation: "T" })),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("var v: T;");
  });
  it("renders as kind const", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(VariableDeclaration_default, { kind: "const" /* Const */, debug: true }, /* @__PURE__ */ React.createElement(
        VariableDeclarator_default,
        {
          name: "c",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T")
        }
      )),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("const c: T;");
  });
  it("renders as kind let", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(VariableDeclaration_default, { kind: "let" /* Let */, debug: true }, /* @__PURE__ */ React.createElement(VariableDeclarator_default, { name: "l" })),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("let l;");
  });
  it("renders with children", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(VariableDeclaration_default, { debug: true }, /* @__PURE__ */ React.createElement(
        VariableDeclarator_default,
        {
          name: "v",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T")
        },
        /* @__PURE__ */ React.createElement(ArrowFunctionExpression_default, null)
      )),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe("var v: T = () => {};");
  });
  it("renders with children as string", async () => {
    const code = await render(
      /* @__PURE__ */ React.createElement(VariableDeclaration_default, { debug: true }, /* @__PURE__ */ React.createElement(
        VariableDeclarator_default,
        {
          name: "v",
          typeAnnotation: /* @__PURE__ */ React.createElement(TypeAnnotation_default, null, "T")
        },
        "hello"
      )),
      {
        prettier: false,
        parserOptions: {
          plugins: ["jsx", "classProperties", "typescript"]
        }
      }
    );
    expect(code).toBe('var v: T = "hello";');
  });
});
