/*
 *  File: /src/createElement.ts
 *  Project: react-ast
 *  File Created: 28-11-2023 02:58:22
 *  Author: Clay Risser
 *  -----
 *  BitSpur (c) Copyright 2019 - 2023
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import elements from "./elements";
import type { IElement } from "./elements/BaseElement";
import { getContext } from "./context";

export default function createElement(elementType: string, props: any) {
  const { parserOptions } = getContext();
  const Element: IElement = elements[elementType];
  if (!Element) throw new Error(`unknown element of type '${elementType}'`);
  return new Element(props, parserOptions);
}
